#!/bin/bash -

current=$(stat -f "%N" "$(dirname "$0")")

# Make sure that we cannot change the scripts
chown root:admin "$0"
chmod 700 "$0"
chown root:admin "$current/uninst.sh"
chmod 700 "$current/uninst.sh"

# Make sure that you cannot move MSRHelper
chown root:admin "$current"
chmod 755 "$current"

# Make sure that we can execute but not write MSRHelper
chown root:admin "$current/MSRHelper"
chmod 711 "$current/MSRHelper"
chmod u+sx "$current/MSRHelper"

currentstat=`kextstat|grep info.olofsson.driver.CMSRToolsDriver`
#echo $currentstat
if [ "$currentstat" != "" ]
then
        kextunload /Library/Extensions/Kext_MSRTools.kext
fi

#kextunload /Library/Extensions/Kext_MSRTools.kext
#sudo mkdir /Libary/Extensions/Kext_MSRTools.kext

if [ -d "/Library/Extensions/Kext_MSRTools.kext" ]
then
        rm -r "/Library/Extensions/Kext_MSRTools.kext"
fi

cp -R "$current/../../../Kext_MSRTools.kext" /Library/Extensions
chown -R root:wheel /Library/Extensions/Kext_MSRTools.kext
chmod -R 755 /Library/Extensions/Kext_MSRTools.kext
kextload /Library/Extensions/Kext_MSRTools.kext
